# Wikiplus-highlight
[![jsdelivr hits](https://img.shields.io/jsdelivr/gh/hd/bhsd-harry/Wikiplus-highlight.svg)](https://github.com/bhsd-harry/Wikiplus-highlight)
[![npm version](https://badge.fury.io/js/wikiplus-highlight.svg)](https://www.npmjs.com/package/wikiplus-highlight)
[![npm downloads](https://img.shields.io/npm/dw/wikiplus-highlight.svg)](https://www.npmjs.com/package/wikiplus-highlight)

**Wikiplus-highlight** 是由 Bhsd 编写的一款 [Wikiplus](https://github.com/Wikiplus/Wikiplus) 语法高亮插件，它主要基于 MediaWiki 内置的 [JavaScript 模块](https://www.mediawiki.org/wiki/ResourceLoader/Core_modules)和 [CodeMirror](https://codemirror.net/) 编写。

## 使用方法

### 最新版本

在*个人 JS 页*添加以下代码：

```javascript
mw.loader.load('//cdn.jsdelivr.net/npm/wikiplus-highlight@2.7.4');
```

或

```javascript
mw.loader.load('//unpkg.com/wikiplus-highlight@2.7.4/dist/main.min.js');
```

### 稳定版本

在*个人 JS 页*添加以下代码：

```javascript
mw.loader.load('//cdn.jsdelivr.net/npm/wikiplus-highlight');
```

或

```javascript
mw.loader.load('//unpkg.com/wikiplus-highlight/dist/main.min.js');
```

由于 CDN 的缓存机制，稳定版本的更新大约会滞后一周。

## 更多插件

使用 *Vector* 皮肤时，在右上角的【更多】菜单将添加一个【Wikiplus高亮设置】选项，点击后可以选择想要加载的 CodeMirror 插件。默认加载【搜索】插件。

### 搜索

这个插件会向 Wikiplus 编辑区添加一个【搜索】按钮及以下快捷键：

- Ctrl(Cmd)-F: 打开搜索框
- Ctrl(Cmd)-G: 搜索下一处
- Shift-Ctrl(Cmd)-G: 搜索上一处

搜索可以使用字符串，也可以使用形如 `/re/` 或 `/re/i` 的正则表达式。正则表达式仅接受可选的 `i` 修饰符，暂不接受其他修饰符。

## Supported languages

- **English (en)**
- ‪**中文(简体)‬ (zh-hans)**
- 中文(繁體)‬ (zh-hant)

[GNU General Public License 3.0](https://www.gnu.org/licenses/gpl-3.0-standalone.html)
